"use strict";

{
	C3.Plugins.aaXe_Chance.Exps =
	{
		GetCharacterPool(pool)
		{
			if(pool === ""){
				return this.chance.character();
			}

			return this.chance.character({pool:pool});
		},

		GetCharacter()
		{
			return this.chance.character();
		},

		GetCharacterLower()
		{
			return this.chance.character({pool:'abcdefghijklmnopqrstuvwxyz'});
		},

		GetCharacterUpper()
		{
			return this.chance.character({pool:'ABCDEFGHIJKLMNOPQRSTUVWXYZ'});
		},

		GetCurrentDiceSum()
		{
			return this._lastDiceSum;
		},

		GetCurrentDiceAt(index)
		{
			if(index < 0 || index > this._lastDiceRoll.length-1){
				return -1;
			}

			return this._lastDiceRoll[index];
		},

		GetDiceSum(tag)
		{
			return this._diceRoll[tag].sum;
		},

		GetDiceAt(index, tag)
		{
			if(index < 0 || index > this._diceRoll[tag].roll.length-1){
				return -1;
			}

			return this._diceRoll[tag].roll[index];
		},

		GetStringUpper(length)
		{
			return this.chance.string({ length: length, pool: 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'});
		},

		GetStringLower(length)
		{
			return this.chance.string({ length: length, pool: 'abcdefghijklmnopqrstuvwxyz'});
		},

		GetStringPool(length, pool)
		{
			return this.chance.string({ length: length, pool: pool});
		},

		GetSyllable()
		{
			return this.chance.syllable();
		},

		GetWord(syllable)
		{
			return this.chance.word({ syllables: syllable });
		},

		GetStandardDistribution(mean, dev)
		{
			return this.chance.normal({mean: mean, dev: dev});
		},

		GetInt(min, max)
		{
			return this.chance.integer({ min: min, max: max })
		}
	};
}